# Method: advertisers.creatives.delete

> [!WARNING]
> Display \& Video 360 API v3 has sunset. Use [v4](https://developers.google.com/display-video/api/reference/rest/v4) instead.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.creatives/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.creatives/delete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.creatives/delete#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.creatives/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.creatives/delete#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.creatives/delete#try-it)

Deletes a creative. Returns error code `NOT_FOUND` if the creative does not exist. The creative should be archived first, i.e. set `https://developers.google.com/display-video/api/reference/rest/v3/advertisers.creatives#Creative.FIELDS.entity_status` to `ENTITY_STATUS_ARCHIVED`, before it can be deleted.

A ["Standard" user role](https://support.google.com/displayvideo/answer/2723011) or greater for the parent advertiser or partner is required to make this request.

### HTTP request

`DELETE https://displayvideo.googleapis.com/v3/advertisers/{advertiserId}/creatives/{creativeId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the advertiser this creative belongs to. |
| `creativeId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the creative to be deleted. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).